com.holonplatform.core.query

## Interface FunctionExpression.PathFunctionExpressionProperty<P,T>

- Type Parameters:
    `P` - Path type
    `T` - Property and function type
  All Superinterfaces:
    Expression, FunctionExpression<T>, FunctionExpression.FunctionExpressionProperty<T>, FunctionExpression.PathFunctionExpression<P,T>, Localizable, Property<T>, QueryExpression<T>, QueryProjection<T>, Serializable, Validator.Validatable<T>
  Enclosing interface:
    FunctionExpression<T>

      public static interface FunctionExpression.PathFunctionExpressionProperty<P,T>
      extends FunctionExpression.FunctionExpressionProperty<T>, FunctionExpression.PathFunctionExpression<P,T>

  A `FunctionExpression.PathFunctionExpression` implemented as a `VirtualProperty`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.Property

      `Property.Builder<T,B extends Property.Builder<T,B>>, Property.PropertyAccessException, Property.PropertyNotFoundException, Property.PropertyReadException, Property.PropertyReadOnlyException, Property.PropertyWriteException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.i18n.Localizable

      `Localizable.LocalizableBuilder, Localizable.LocalizationException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.query.FunctionExpression

      `FunctionExpression.FunctionExpressionProperty<T>, FunctionExpression.PathFunctionExpression<P,T>, FunctionExpression.PathFunctionExpressionProperty<P,T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <P,T> FunctionExpression.PathFunctionExpressionProperty<P,T>` | `create(QueryFunction<T> function, Path<P> path)` Create a new `FunctionExpression.PathFunctionExpressionProperty` on given `path` using given `function`.
    `static <P,T> FunctionExpression.PathFunctionExpressionProperty<P,T>` | `create(QueryFunction<T> function, PathProperty<P> property)` Create a new `FunctionExpression.PathFunctionExpressionProperty` on given `property` using given `function`.

    - ### Methods inherited from interface com.holonplatform.core.query.FunctionExpression.FunctionExpressionProperty

      `create`

    - ### Methods inherited from interface com.holonplatform.core.property.Property

      `getConfiguration, getConvertedValue, getConverter, getType, isReadOnly, present, render, renderIfAvailable`

    - ### Methods inherited from interface com.holonplatform.core.Validator.Validatable

      `getValidators, validate`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable

      `builder, getMessage, getMessageArguments, getMessageCode`

    - ### Methods inherited from interface com.holonplatform.core.query.FunctionExpression.PathFunctionExpression

      `getPath`

    - ### Methods inherited from interface com.holonplatform.core.query.FunctionExpression

      `avg, count, getFunction, max, min, sum`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryExpression

      `getType`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryProjection

      `getType`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

- - ### Method Detail

    - #### create

          static <P,T> FunctionExpression.PathFunctionExpressionProperty<P,T> create(QueryFunction<T> function,
                                                                                     Path<P> path)

      Create a new `FunctionExpression.PathFunctionExpressionProperty` on given `path` using given `function`.
      Type Parameters:
        `P` - Path type
        `T` - Property and function type
      Parameters:
        `function` - Function associated to the property (not null)
        `path` - Path subject of the function (not null)
      Returns:
        A new `FunctionExpression.PathFunctionExpressionProperty`

    - #### create

          static <P,T> FunctionExpression.PathFunctionExpressionProperty<P,T> create(QueryFunction<T> function,
                                                                                     PathProperty<P> property)

      Create a new `FunctionExpression.PathFunctionExpressionProperty` on given `property` using given `function`.
      Type Parameters:
        `P` - Path type
        `T` - Property and function type
      Parameters:
        `function` - Function associated to the property (not null)
        `property` - Property subject of the function (not null)
      Returns:
        A new `FunctionExpression.PathFunctionExpressionProperty`

Copyright © 2017 The Holon Platform. All rights reserved.